Uses of Interface
io.vertx.openapi.validation.ValidatableRequest
Packages that use ValidatableRequest
Package
Description
-
Uses of ValidatableRequest in io.vertx.ext.web.openapi.router
Methods in io.vertx.ext.web.openapi.router that return types with arguments of type ValidatableRequestModifier and TypeMethodDescriptionRequestExtractor.extractValidatableRequest(RoutingContext routingContext, Operation operation) Extracts and transforms the parameters and the body of an incoming request into aformatthat can be validated by theRequestValidator. -
Uses of ValidatableRequest in io.vertx.openapi.validation
Methods in io.vertx.openapi.validation that return types with arguments of type ValidatableRequestModifier and TypeMethodDescriptionstatic Future<ValidatableRequest> RequestUtils.extract(HttpServerRequest request, Operation operation) Extracts and transforms the parameters and the body of an incoming request into aformatthat can be validated by theRequestValidator.static Future<ValidatableRequest> RequestUtils.extract(HttpServerRequest request, Operation operation, Supplier<Future<Buffer>> bodySupplier) LikeRequestUtils.extract(HttpServerRequest, Operation), but offers to pass a supplier fpr the body.static Future<ValidatableRequest> ValidatableRequest.of(HttpServerRequest request, Operation operation) Methods in io.vertx.openapi.validation with parameters of type ValidatableRequestModifier and TypeMethodDescriptionRequestValidator.validate(ValidatableRequest params, String operationId) Validates the passed request parameters against the operation defined in the related OpenAPI contract. -
Uses of ValidatableRequest in io.vertx.reactivex.openapi.validation
Methods in io.vertx.reactivex.openapi.validation that return ValidatableRequestMethods in io.vertx.reactivex.openapi.validation with parameters of type ValidatableRequestModifier and TypeMethodDescriptionstatic ValidatableRequestValidatableRequest.newInstance(ValidatableRequest arg) Constructors in io.vertx.reactivex.openapi.validation with parameters of type ValidatableRequest -
Uses of ValidatableRequest in io.vertx.rxjava3.openapi.validation
Methods in io.vertx.rxjava3.openapi.validation that return ValidatableRequestMethods in io.vertx.rxjava3.openapi.validation with parameters of type ValidatableRequestModifier and TypeMethodDescriptionstatic ValidatableRequestValidatableRequest.newInstance(ValidatableRequest arg) Constructors in io.vertx.rxjava3.openapi.validation with parameters of type ValidatableRequest